Subject: [bug#42364] [PATCH v2] gnu: Add python-robber.

From: Marius Bakke <[email-masked]>
Date: Thu, 30 Jul 2020 00:23:39 +0200

Tanguy Le Carrour <[email-masked]> writes:

> Hi Marius,
>
>
> Le 07/25, Marius Bakke a écrit :
>> Tanguy Le Carrour <[email-masked]> writes:
>> 
>> > * gnu/packages/python-check.scm (python-robber): New variable.
>> 
>> [...]
>> 
>> > +    ;; The last version tagged in Github (0.1.0) is older than the one on PyPI.
>> > +    ;; Reported upstream: <https://github.com/vesln/robber.py/issues/20>.
>> 
>> Wow, it's concerning that someone just uploaded a fork on PyPI without
>> notifying the original author, yet reuses the original home page.
>
> He might have tried, but… the original author's email address given on
> PyPI does not exist any more!

Oh, right.  That makes sense.  :-)

>> Even more so when there are no tags matching the uploaded tarball.
>> 
>> I think we should adjust the home page of this package to point to the
>> fork, and maybe add a comment explaining the situation.  WDYT?
>
> I've just send a email to the author of the last commit in the second
> repo. Let's see what will happen!
> In the worst case scenario, I can open a claim request on PyPI and fix
> the mess myself. But let's hope I don't have to do that! ^_^'

I hope so too!  Meanwhile I think we can take the original patch you
sent, but adjust the home page to that of the fork.